The platform runs on the latest Firefox, make sure your browser is the latest version of Firefox.